Crazy Eddies GUI System: CEGUI::FalagardMenuItem Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes
CEGUI::FalagardMenuItem Class Reference

MenuItem class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardMenuItem:
[legend]
Collaboration diagram for CEGUI::FalagardMenuItem:
[legend]

List of all members.

## Public Member Functions
| FalagardMenuItem (const String &type)
| Constructor.
void | render ()
| Populate render cache.
Size | getItemPixelSize (void) const
| Return the "optimal" size for the item.
## Static Public Attributes
static const utf8 | TypeName []
| type name for this widget.

## Detailed Description

MenuItem class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

States (missing states will default to '***Normal'):

- EnabledNormal
- EnabledHover
- EnabledPushed
- EnabledPushedOff
- EnabledPopupOpen
- DisabledNormal
- DisabledHover
- DisabledPushed
- DisabledPushedOff
- DisabledPopupOpen
- PopupClosedIcon - Additional state drawn when item has a pop-up attached (in closed state)
- PopupOpenIcon - Additional state drawn when item has a pop-up attached (in open state)

Named Areas: ContentSize HasPopupContentSize

## Member Function Documentation

Size CEGUI::FalagardMenuItem::getItemPixelSize | ( | void |  | ) | const`[virtual]`

Return the "optimal" size for the item.

Returns:
  Size describing the size in pixel that this ItemEntry's content requires for non-clipped rendering

Implements CEGUI::ItemEntryWindowRenderer.

void CEGUI::FalagardMenuItem::render | ( |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Implements CEGUI::WindowRenderer.